> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Countries

> A `GET` to the `/countries` endpoint allows your application to retrieve countries.



## OpenAPI

````yaml get /v3/countries
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/countries:
    get:
      tags:
        - Country
      summary: Browse Countries
      description: >-
        A `GET` to the `/countries` endpoint allows your application to retrieve
        countries.
      operationId: countries.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `Country`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Country'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Country:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        iso_2:
          type: string
        iso_3:
          type: string
        iso_numeric:
          type: string
        sort_order:
          type:
            - integer
            - 'null'
        states:
          type: array
          items:
            $ref: '#/components/schemas/State'
        currency:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
            is_default:
              type: string
          required:
            - id
            - name
            - handle
            - is_default
      required:
        - id
        - name
        - iso_2
        - iso_3
        - iso_numeric
        - sort_order
        - states
        - currency
        - created_at
        - updated_at
        - region
      title: Country
    State:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        type:
          type: string
        iso:
          type: string
        iso_2_country:
          type: string
        iso_2_country_state_code:
          type: string
        sort_order:
          type:
            - integer
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - type
        - iso
        - iso_2_country
        - iso_2_country_state_code
        - sort_order
        - created_at
        - updated_at
      title: State
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````